/*
	LPS Example

	Routine 4

	Language: C99
 	Style: plain C
 	Version: Ref-pc
 */

/*
	Original Plain C Code
*/

/*
  Questo esempio mostra la traduzione in ASM di un programma C
	contenente funzioni non-foglia
*/

#include <stdio.h>

int media( int a, int b ) {
	return ( a + b ) / 2;
}

int f( int x, int y, int z, int w ) {
	int t = media( x, y );
	if ( t < z )
		t += media( z, w );
	return t;
}

int main( void ) {

	int a, b, t;

	/* input */
	scanf( "%d", &t );

	a = t + 20;
	b = 2 * t;
	a = f( 10, a, t, b );
	b = f( t, a, 24, b );


	/* output */
	printf( "%d %d\n", a, b );

	return 0;
}

/*
	Test Cases

	Test 1
	input: 10
	output: 20 37

	Test 2
	input: 15
	output: 22 45

	Test 3
	input: -20
	output: 5 -15

	Test 4
	input: -10
	output: 10 2
*/
